using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProductionControl
{
    public partial class FrmReport : Form
    {
        public FrmReport()
        {
            InitializeComponent();
            initDataView();
        }
        private void initDataView()
        {
            var list = new BindingList<Product>();
            //list.Add(new Product("0001", "2寸手机屏"));
            //list.Add(new Product("0001", "3.5寸手机屏"));
            tsslCount.Text = $"共 {list.Count} 条记录";
            dataGridView1.DataSource = new BindingSource(list, null);
        }
        private class Product
        {
            public Product(string _code, string _name)
            {
                code = _code;
                name = _name;
            }
            public string code { get; set; }
            public string name { get; set; }
            public string spec { get { return "1-1323"; } }
            public string stepCode { get { return "0001"; } }
            public string stepName { get { return "屏幕检测"; } }
            public string userName { get { return "管理员"; } }
            public string dateTime { get { return DateTime.Now.ToString("yyyy-MM-dd HH:mm"); } }
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
        }

        private void FrmProductList_Load(object sender, EventArgs e)
        {

        }
    }
}
